Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface AdminServiceConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, Container, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface AdminServiceConfig
extends AMXConfig, PropertiesAccess, Container

Configuration for the <admin-service> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.
`static java.lang.String` | `TYPE_DAS` Possible value for Type.
`static java.lang.String` | `TYPE_DAS_AND_SERVER` Possible value for Type.
`static java.lang.String` | `TYPE_SERVER` Possible value for Type.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`JMXConnectorConfig` | `createJMXConnectorConfig(java.lang.String name, java.lang.String address, int port, java.lang.String authRealmName, java.util.Map optional)` Creates a new jmx-connector element.
`DASConfig` | `getDASConfig()`
`java.util.Map` | `getJMXConnectorConfigMap()` Calls Container.getContaineeMap( XTypes.JMX_CONNECTOR_CONFIG ).
`java.lang.String` | `getSystemJMXConnectorName()`
`java.lang.String` | `getType()`
`void` | `removeJMXConnectorConfig(java.lang.String name)` Removes a jmx-connector element.
`void` | `setSystemJMXConnectorName(java.lang.String value)`
`void` | `setType(java.lang.String value)` Valid values are: `TYPE_DAS` `TYPE_SERVER` `TYPE_DAS_AND_SERVER`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

### TYPE_DAS

    public static final java.lang.String TYPE_DAS

  Possible value for Type. See `setType(java.lang.String)`

  See Also:
    Constant Field Values

### TYPE_SERVER

    public static final java.lang.String TYPE_SERVER

  Possible value for Type. See `setType(java.lang.String)`

  See Also:
    Constant Field Values

### TYPE_DAS_AND_SERVER

    public static final java.lang.String TYPE_DAS_AND_SERVER

  Possible value for Type. See `setType(java.lang.String)`

  See Also:
    Constant Field Values

Method Detail

### getJMXConnectorConfigMap

    public java.util.Map getJMXConnectorConfigMap()

  Calls Container.getContaineeMap( XTypes.JMX_CONNECTOR_CONFIG ).

  Returns:
    Map of JMXConnectorConfig proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### getSystemJMXConnectorName

    public java.lang.String getSystemJMXConnectorName()

### setSystemJMXConnectorName

    public void setSystemJMXConnectorName(java.lang.String value)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String value)

  Valid values are:
  - `TYPE_DAS`
  - `TYPE_SERVER`
  - `TYPE_DAS_AND_SERVER`

  Parameters:
    `value` -

### getDASConfig

    public DASConfig getDASConfig()

### createJMXConnectorConfig

    public JMXConnectorConfig createJMXConnectorConfig(java.lang.String name,
                                                       java.lang.String address,
                                                       int port,
                                                       java.lang.String authRealmName,
                                                       java.util.Map optional)

  Creates a new jmx-connector element.

  Parameters:
    `name` - The name (id) of the jmx-connector.
    `address` - The IP address or host-name.
    `port` - The port of the jmx-connector-server.
    `authRealmName` - The name of the auth-realm that represents the special administrative realm. All authentication (from administraive GUI and CLI) will be handled by this realm.
    `optional` - Map of optional attributes
  Returns:
    A proxy to the JMXConnectorConfig MBean.
  See Also:
    `JMXConnectorConfigKeys`

### removeJMXConnectorConfig

    public void removeJMXConnectorConfig(java.lang.String name)

  Removes a jmx-connector element.

  Parameters:
    `name` - The name (id) of the jmx-connector.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.